Subject: Re: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Jun 2013 19:13:33 +0300

> Date: Sun, 23 Jun 2013 11:56:13 -0400
> From: Ken Brown <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> As Angelo said, the answer to both questions is "No".  But there's 
> actually a big difference.  First, the 'abort' breakpoint is never hit. 
>   Second, there are no more SEGVs reported in glib.  There are lots of 
> SEGVs in _malloc_internal_nolock, and some further SEGVs that gdb can't 
> pinpoint.  I think all of the crashes in _malloc_internal_nolock are 
> coming when it's called by special_realloc.  Maybe the latter needs to 
> be calling _malloc_internal instead of _malloc_inernal_nolock.  I don't 
> have any more time right now, but I'll try that later.

If the crashes in gmalloc don't happen unless glib is linked in, then
it's possible that its memory management conflicts in some way with
gmalloc (and possibly ralloc, if Cygwin uses that as well).